function p = getPredictionMatrix(Theta1, Theta2, X)
%getPredictionMatrix Predict the label of an input given a trained neural network
%   p = PREDICT(Theta1, Theta2, X) outputs an accuracy matrix of the predicted labels 
%   of X given the trained weights of a neural network (Theta1, Theta2)

% Useful values
m = size(X, 1);
num_labels = size(Theta2, 1);

% You need to return the following variables correctly
p = zeros(size(X, 1), 1);

h1 = sigmoid([ones(m, 1) X] * Theta1');
h2 = sigmoid([ones(m, 1) h1] * Theta2');

% this line will return a list of how well each word matched
p = h2;

% =========================================================================

end
